GAMECLOCK(6)

NAME
gameclock - a simple game clock

SYNOPSIS
gameclock

DESCRIPTION
This manual page documents briefly the gameclock command.

gameclock is a simple application designed to track the time spent thinking by the players during a chess game. Various ways of tracking time are supported, with only `countdown' (aka `blitz') and `fischer' for now. The graphical interface is keyboard driven and is intended to be minimal and simple. The code is made to be extensible to other game types.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (--). A summary of options is included below.

-h, --help
    Show summary of options. This includes the program's version and license.

-v, --verbose
    Show progress information to standard output. More `-v' will display more information: timestamps then game state engine.

-f, --fullscreen
    Start the application in fullscreen mode.

KEYBINDINGS
Most of the interface is keyboard-driven, apart from the initial clock and game configuration.

space
    start the game / end turn

shift keys
    end the turn, but only for the appropriate side (left or right side)

p   pause game

control-r, escape
    reset game - this resets all counters and clocks to the initial configuration, use this to restart the game.

f   toggle the fullscreen mode

control-q
    quit application

THEMING
The look of gameclock can be customized fairly easily using GTK resource files. The clock widgets are conveniently named to allow easy customizing. Take for example the sample "Green" builtin theme:

style "clockui" {
  bg[NORMAL] = "black"
  fg[NORMAL] = "white"
  bg[SELECTED] = "red"
  fg[SELECTED] = "black"
  bg[ACTIVE] = "green"
  fg[ACTIVE] = "black"
}
widget "*.clockui.GtkEventBox" style "clockui"
widget "*.clockui.*Label" style "clockui"

SEE ALSO
xboard(1), http://gnomecoder.wordpress.com/chessclock/.

AUTHOR
gameclock was written by Antoine Beaupré.